DROP TABLE APP.EMP;
DROP TABLE APP.DEPT;

CREATE TABLE APP.DEPT (
		DEPTNO DECIMAL(5, 0) NOT NULL,
		DNAME VARCHAR(14),
		LOC VARCHAR(13)
	);

ALTER TABLE APP.DEPT ADD CONSTRAINT DEPT_PRIMARY_KEY PRIMARY KEY (DEPTNO);


CREATE TABLE APP.EMP (
		EMPNO DECIMAL(4 , 0) NOT NULL,
		ENAME VARCHAR(10),
		JOB VARCHAR(9),
		MGR DECIMAL(4 , 0),
		HIREDATE DATE,
		SAL DECIMAL(7 , 2),
		COMM DECIMAL(7 , 2),
		DEPTNO DECIMAL(5, 0)
	);

ALTER TABLE APP.EMP ADD CONSTRAINT EMP_PRIMARY_KEY PRIMARY KEY (EMPNO);

ALTER TABLE APP.EMP ADD CONSTRAINT EMP_FOREIGN_KEY FOREIGN KEY (DEPTNO)
	REFERENCES APP.DEPT (DEPTNO);

ALTER TABLE APP.EMP ADD CONSTRAINT EMP_SELF_KEY FOREIGN KEY (MGR)
	REFERENCES APP.EMP (EMPNO);

insert into APP.DEPT (DEPTNO, DNAME, LOC)
values (10, 'ACCOUNTING', 'NEW YORK');
insert into APP.DEPT (DEPTNO, DNAME, LOC)
values (20, 'RESEARCH', 'DALLAS');
insert into APP.DEPT (DEPTNO, DNAME, LOC)
values (30, 'SALES', 'CHICAGO');
insert into APP.DEPT (DEPTNO, DNAME, LOC)
values (40, 'OPERATIONS', 'BOSTON');
insert into APP.DEPT (DEPTNO, DNAME, LOC)
values (50, 'PRODUCTION', 'SAN FRANCISCO');

insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7839, 'KING', 'PRESIDENT', null, date('1981-11-17'), 5000, null, 10);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7566, 'MIKE', 'MANAGER', 7839, date('1981-04-02'), 3999, null, 20);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7902, 'FORD', 'ANALYST', 7566, date('1981-03-12'), 3000, null, 20);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7369, 'SMITH', 'CLERK', 7902, date('1980-12-17'), 1000, null, 20);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7698, 'BLAKE', 'MANAGER', 7839, date('1981-05-01'), 3999, null, 30);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7499, 'ALLEN', 'SALESMAN', 7698, date('1981-02-20'), 1600, 300, 30);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7521, 'WARD', 'SALESMAN', 7698, date('1981-02-22'), 1250, 500, 30);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7654, 'MARTIN', 'SALESMAN', 7698, date('1981-09-28'), 1250, 1400, 30);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7782, 'CLARK', 'MANAGER', 7839, date('2005-01-01'), 3999, null, 10);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7788, 'SCOTT', 'ANALYST', 7566, date('1982-09-12'), 3000, null, 20);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7844, 'TURNER', 'SALESMAN', 7698, date('1981-08-09'), 1500, 0, 30);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7876, 'ADAMS', 'CLERK', 7788, date('1983-12-01'), 1100, null, 20);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7900, 'JAMES', 'CLERK', 7698, date('1981-03-12'), 950, null, 30);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7934, 'MILLER', 'CLERK', 7782, date('1982-04-21'), 1300, 1000, 10);
insert into APP.EMP (EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, COMM, DEPTNO)
values (7890, 'JINKS', 'CLERK', null, null, 1200, null, 40);
