package cz.cca.jet.model;


import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import cz.cca.jet.util.JPAUtil;

public class DeptDAO {

	private EntityManager entityManager;

	public DeptDAO() {
		entityManager = JPAUtil.getEntityManager();

	}
	public void save(Dept entity) {	
		// log.log(Level.FINE, "saving CcaepDsReqQue instance");
		try {
			entityManager.persist(entity);
			entityManager.flush();
			// log.log(Level.FINE, "save successful");
		} catch (RuntimeException re) {
			// log.log(Level.SEVERE, "save failed", re);
			throw re;
		}
	}

	public void delete(Dept entity) {
		entity = entityManager.getReference(Dept.class, entity.getDeptId());
		entityManager.remove(entity);
	}

	public Dept update(Dept entity) {
		Dept result = entityManager.merge(entity);
		return result;
	}

	public Dept findById(String id) {
		Dept instance = entityManager.find(Dept.class, id);
		return instance;
	}

	@SuppressWarnings("unchecked")
	public List<Dept> findByProperty(String propertyName, final Object value) {
		final String queryString = "select model from Dept model where model."
				+ propertyName + "= :propertyValue";
		Query query = entityManager.createQuery(queryString);
		query.setParameter("propertyValue", value);
		return query.getResultList();
	}

	@SuppressWarnings("unchecked")
	public List<Dept> findAll() {
		final String queryString = "select model from cz.cca.jet.model.Dept model";
		Query query = entityManager.createQuery(queryString);
		return query.getResultList();
	}

}
