package cz.cca.jet.model;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import cz.cca.jet.util.JPAUtil;

public class EmpDAO {

	private EntityManager entityManager;

	public EmpDAO() {
		entityManager = JPAUtil.getEntityManager();
	}
	public void save(Emp entity) {
		// log.log(Level.FINE, "saving CcaepDsReqQue instance");
		try {
			entityManager.persist(entity);
			entityManager.flush();
			// log.log(Level.FINE, "save successful");
		} catch (RuntimeException re) {
			// log.log(Level.SEVERE, "save failed", re);
			throw re;
		}
	}

	public void delete(Emp entity) {
		entity = entityManager.getReference(Emp.class, entity.getEmpno());
		entityManager.remove(entity);
	}

	public Emp update(Emp entity) {
		Emp result = entityManager.merge(entity);
		return result;
	}

	public Emp findById(String id) {
		Emp instance = entityManager.find(Emp.class, id);
		return instance;
	}

	@SuppressWarnings("unchecked")
	public List<Emp> findByProperty(String propertyName, final Object value) {
		final String queryString = "select model from Emp model where model."
				+ propertyName + "= :propertyValue";
		Query query = entityManager.createQuery(queryString);
		query.setParameter("propertyValue", value);
		return query.getResultList();
	}

	@SuppressWarnings("unchecked")
	public List<Emp> findAll() {
		final String queryString = "select model from Emp model";
		Query query = entityManager.createQuery(queryString);
		return query.getResultList();
	}

}
