import java.util.List;
import java.util.logging.ErrorManager;

import javax.persistence.EntityTransaction;

import cz.cca.jet.model.Dept;
import cz.cca.jet.model.DeptDAO;
import cz.cca.jet.model.Emp;
import cz.cca.jet.model.EmpDAO;
import cz.cca.jet.util.JPAUtil;


public class Main {
	public static void main(String[] args) {
		EmpDAO empDAO = new EmpDAO();
		
		List<Emp> employees = empDAO.findAll();
		
		for (Emp employee : employees) {
			System.out.println(employee.getEname());
			for (Emp ee : employee.getEmps()) {
				System.out.println("..." + ee.getEname());
			}
		}
		
		DeptDAO deptDAO = new DeptDAO();
		
		List<Dept> depts = deptDAO.findAll();
		
		for (Dept department : depts) {
			System.out.println(department.getDname());
		}
		
		EntityTransaction tx = JPAUtil.getTransaction();
		tx.begin();
		
		Dept newDept = new Dept();
		newDept.setDeptno(300);
		newDept.setDname("PRG");
		newDept.setLoc("Plze");
		deptDAO.save(newDept);
		

		tx.commit();
	}
}
