package cz.cca.jet.model;

import java.io.Serializable;
import javax.persistence.*;

import java.util.Set;


/**
 * The persistent class for the DEPT database table.
 * 
 */
@Entity
@Table(catalog="APP")
public class Dept implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private long deptno;

	private String dname;

	private String loc;

	//bi-directional many-to-one association to Emp
	@OneToMany(mappedBy="dept")
	private Set<Emp> emps;

    public Dept() {
    }

	public long getDeptno() {
		return this.deptno;
	}

	public void setDeptno(long deptno) {
		this.deptno = deptno;
	}

	public String getDname() {
		return this.dname;
	}

	public void setDname(String dname) {
		this.dname = dname;
	}

	public String getLoc() {
		return this.loc;
	}

	public void setLoc(String loc) {
		this.loc = loc;
	}

	public Set<Emp> getEmps() {
		return this.emps;
	}

	public void setEmps(Set<Emp> emps) {
		this.emps = emps;
	}
	
}